package com.bonus.canteen.core.order.deprecated.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("根据设备订单号查询设备订单信息出餐")
public class MacQueryOrdByMacOrdIdVO implements Serializable {
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("人员头像地址")
   private String custPhotoUrl;
   @ApiModelProperty("个人钱包余额 单位分")
   private Integer walletBal;
   @ApiModelProperty("补贴钱包余额 单位分")
   private Integer subsidyBal;
   @ApiModelProperty("账户余额(个人钱包+补贴钱包) 单位分")
   private Integer accBal;
   @ApiModelProperty("钱包2")
   private Integer balance2;
   @ApiModelProperty("红包余额")
   private Integer redEnvelope;
   @ApiModelProperty("积分")
   private Integer scope;
   @ApiModelProperty("实际付款")
   private Integer realAmount;

   public String getCustPhotoUrl() {
      return SysUtil.getCutFileUrl(this.custPhotoUrl);
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getWalletBal() {
      return this.walletBal;
   }

   public Integer getSubsidyBal() {
      return this.subsidyBal;
   }

   public Integer getAccBal() {
      return this.accBal;
   }

   public Integer getBalance2() {
      return this.balance2;
   }

   public Integer getRedEnvelope() {
      return this.redEnvelope;
   }

   public Integer getScope() {
      return this.scope;
   }

   public Integer getRealAmount() {
      return this.realAmount;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setCustPhotoUrl(final String custPhotoUrl) {
      this.custPhotoUrl = custPhotoUrl;
   }

   public void setWalletBal(final Integer walletBal) {
      this.walletBal = walletBal;
   }

   public void setSubsidyBal(final Integer subsidyBal) {
      this.subsidyBal = subsidyBal;
   }

   public void setAccBal(final Integer accBal) {
      this.accBal = accBal;
   }

   public void setBalance2(final Integer balance2) {
      this.balance2 = balance2;
   }

   public void setRedEnvelope(final Integer redEnvelope) {
      this.redEnvelope = redEnvelope;
   }

   public void setScope(final Integer scope) {
      this.scope = scope;
   }

   public void setRealAmount(final Integer realAmount) {
      this.realAmount = realAmount;
   }

}
